<?php

function getbowtied_dashboard_pages_styles_and_scripts() {   	

	// Styles
	wp_enqueue_style('getbowtied-dashboard-pages', get_template_directory_uri() . '/inc/admin/dashboard/css/pages.css', false, shopkeeper_theme_version(), 'all');

	
	// Scripts 
	wp_enqueue_script('getbowtied-dashboard-pages', get_template_directory_uri() . '/inc/admin/dashboard/js/pages.js', array('jquery'), shopkeeper_theme_version(), TRUE);

    if ( (!empty( $_GET['page'] ) && ('getbowtied-documentation' == $_GET['page'])) || (!empty( $_GET['page'] ) && ('getbowtied-changelog' == $_GET['page'])) ) {
    	wp_enqueue_script('getbowtied-iframe-resizer', get_template_directory_uri() . '/inc/admin/dashboard/js/vendor/iframe-resizer/iframeResizer.min.js', array('jquery'), '4.3.2', TRUE);
    	wp_enqueue_script('getbowtied-dashboard-iframe', get_template_directory_uri() . '/inc/admin/dashboard/js/iframe.js', array('jquery'), shopkeeper_theme_version(), TRUE);
	}
}
add_action( 'admin_enqueue_scripts', 'getbowtied_dashboard_pages_styles_and_scripts' );



function getbowtied_dashboard_pages()
{

	global $menu;
	
	$menu[55.3] = array('', 'read', 'separator-getbowtied', '', 'wp-menu-separator getbowtied-menu-separator');
	
	add_menu_page('My Page Title', 'Shopkeeper', 'manage_options', 'getbowtied-dashboard', 'getbowtied_dashboard_content', 'dashicons-cart', 55.4 );
    
    add_submenu_page('getbowtied-dashboard', 'Shopkeeper Home', 'Home', 'manage_options', 'getbowtied-dashboard' );

    if (is_plugin_active('kits-templates-and-patterns/kits-templates-and-patterns.php')) {
	    add_submenu_page('getbowtied-dashboard', 'Shopkeeper Templates', 'Kits, Templates and Patterns', 'manage_options', admin_url('themes.php?page=kits-templates-and-patterns') );
	} else {
	    add_submenu_page('getbowtied-dashboard', 'Shopkeeper Templates', 'Kits, Templates and Patterns', 'manage_options', 'getbowtied-templates', 'getbowtied_templates_content' );
	}

    add_submenu_page('getbowtied-dashboard', 'Shopkeeper Customize', 'Customize', 'manage_options', admin_url('customize.php') );
    //add_submenu_page('getbowtied-dashboard', 'Shopkeeper Documentation', 'Documentation', 'manage_options', 'getbowtied-documentation', 'getbowtied_documentation_content' );
    //add_submenu_page('getbowtied-dashboard', 'Shopkeeper Changelog', 'Changelog', 'manage_options', 'getbowtied-changelog', 'getbowtied_changelog_content' );
    add_submenu_page('getbowtied-dashboard', 'Shopkeeper Help', 'Help', 'manage_options', 'getbowtied-help', 'getbowtied_help_content' );
}
add_action('admin_menu', 'getbowtied_dashboard_pages');




function getbowtied_dashboard_content()
{
?>

	<div class="wrap">
		
		<h1 class="wp-heading-inline">Shopkeeper <?php echo shopkeeper_theme_version(); ?></h1>
		<a href="https://www.getbowtied.com/documentation/shopkeeper/changelog/" target="_blank" class="page-title-action">Changelog</a>
		<br /><br />

		<div class="">
			<h2>You're just starting out?</h2>

			<?php
			if (is_plugin_active('kits-templates-and-patterns/kits-templates-and-patterns.php')) {
			?>

			    <p>Give our Starter Templates a try! They'll help you launch your project faster.</p>

			    <a href="<?php echo esc_url(admin_url('themes.php?page=kits-templates-and-patterns')); ?>" class="button button-primary button-large">Go to the Starter Templates</a>
			
			<?php
			} else {
			?>

			    <p>
			    	Install the "<strong>Kits, Templates and Patterns</strong>" plugin and give our Starter Templates a try! They'll help you launch your project faster.<br />
			    	These templates are built with Elementor, and you will have access to all the widgets in Elementor PRO without a subscription.
			    </p>

			    <a href="<?php echo esc_url(admin_url('themes.php?page=tgmpa-install-plugins')); ?>" class="button button-primary button-large">Get "Kits, Templates and Patterns" plugin for Shopkeeper. It's free.</a>
			
			<?php
			}
			?>

			<br /><br />

			<h2>Want your website to be different?</h2>
			<a href="<?php echo esc_url(admin_url('customize.php')); ?>" class="button button-primary button-large">Customize it</a>
			<br /><br />

			<h2>Need Help?</h2>
			<ul>
				<li>
					<a href="https://www.getbowtied.com/docs/shopkeeper/" target="_blank" class="button button-primary button-large">Read the documentation</a>
					&nbsp;
					<a href="https://www.getbowtied.com/shopkeeper-contact-our-support-team/" target="_blank" class="button button-large">Contact the Customer Support</a>
				</li>
				<li>&nbsp;</li>
			</ul>
			<br /><br />
		</div>

	</div>

<?php
}

function getbowtied_templates_content()
{
?>

	<div class="wrap">
	
		<h1>You're just starting out?</h1>

		<p>
	    	Install the "<strong>Kits, Templates and Patterns</strong>" plugin and give our Starter Templates a try! They'll help you launch your project faster.<br />
	    	These templates are built with Elementor, and you will have access to all the widgets in Elementor PRO without a subscription.
	    </p>

		<a href="<?php echo esc_url(admin_url('themes.php?page=tgmpa-install-plugins')); ?>" class="button button-primary button-large">Get "Kits, Templates and Patterns" plugin for Shopkeeper. It's free.</a>
	
	</div>

<?php
}

function getbowtied_documentation_content()
{
?>
	<div class="wrap">
		<div style="padding:10px 40px; margin: 20px 0 0 0">
			<div style="padding:10px 10px; border: 1px solid #ddd; background: #fff">⚠ We are working on new documentation. You will find it here when it is ready. In the meantime you have the old one below.</div>
		</div>
		<iframe id="getbowtied_dashboard_iframe" src="https://www.getbowtied.com/docs/shopkeeper/"></iframe>
	</div>
<?php
}

function getbowtied_changelog_content()
{
?>
	<div class="wrap">
		<iframe id="getbowtied_dashboard_iframe" src="https://www.getbowtied.com/documentation/shopkeeper/changelog/"></iframe>
	</div>
<?php
}

function getbowtied_help_content()
{
?>

	<div class="wrap">

		<h1>Need Help?</h1>
		<br />

		<ul>
			<li>
				<a href="https://www.getbowtied.com/docs/shopkeeper/" target="_blank" class="button button-primary button-large">Read the documentation</a>
				&nbsp;
				<a href="https://www.getbowtied.com/shopkeeper-contact-our-support-team/" target="_blank" class="button button-large">Contact the Customer Support</a>
			</li>
			<li>&nbsp;</li>
			<li><a href="https://www.getbowtied.com/documentation/shopkeeper/changelog/" target="_blank" class="">Changelog</a></li>
		</ul>
	
	</div>

<?php
}